Fetching data...
Developer API Reference
Build powerful integrations with our platform APIs.
Fetching data...
Build powerful integrations with our platform APIs.
Build powerful integrations with our platform APIs.
Dynamic API reference synchronized with our latest backend endpoints.
/api/v1/interviews/{id}/decisionUpdates the status of an interview plan and optionally moves the candidate to a new pipeline stage. Triggers `interview.decision` and `candidate.stage_changed` webhooks.
idRequiredstringThe Interview Plan ID
statusRequiredstringnotesstringExample Request
bashcurl -X POST "https://your-tenant.peoplelensai.com/api/v1/interviews/{id}/decision" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{"status":"active","notes":"string"}'/api/v1/interviews/{id}/scorecardFetches the structured AI assessment data, scoring, and recommendation for a completed interview.
idRequiredstringThe Interview Plan ID
Example Request
bashcurl -X GET "https://your-tenant.peoplelensai.com/api/v1/interviews/{id}/scorecard" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" Example Response
json{
"id": "plan-123e4567-e89b-12d3-a456-426614174000",
"status": "completed",
"created_at": "2026-02-25T08:00:00Z",
"updated_at": "2026-02-25T09:00:00Z",
"job": {
"id": "job-123",
"title": "Frontend Developer",
"department": "Engineering"
},
"candidate": {
"id": "can-123",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane.doe@example.com"
},
"assessments": [
{
"step_id": "step-123",
"title": "Technical Assessment",
"order": 1,
"status": "completed",
"scorecard": {
"overall_score": 85,
"recommendation": "strong_hire",
"executive_summary": "Excellent candidate with deep React knowledge.",
"strengths": [
"React Performance",
"Communication"
],
"weaknesses": [
"Backend experience limited"
],
"criteria": [
{
"name": "React",
"score": 90
}
],
"detailed_analysis": {
"note": "Did well on the systems design portion."
},
"assessed_at": "2026-02-25T08:50:00Z"
}
}
]
}/api/v1/interviews/{id}/scorecardRecords a human interviewer's assessment, which triggers the `scorecard.generated` and `interview.human_scored` webhooks.
idRequiredstringThe Interview Plan ID
recommendationRequiredstringoverall_scoreRequiredintegersummary_notesstringratingsarrayExample Request
bashcurl -X POST "https://your-tenant.peoplelensai.com/api/v1/interviews/{id}/scorecard" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{"recommendation":"strong_hire","overall_score":0,"summary_notes":"string","ratings":[{"criterion_name":"string","rating":0,"notes":"string"}]}'